<%@ Page Language="c#" Codebehind="QBankPlugIn.aspx.cs" AutoEventWireup="true" Inherits="QBankModule.Views.QBankPlugIn, QBankModule"  Title="QBankPlugIn" %>
<%@ Import Namespace="QBankModule.Core" %>

<asp:Content ContentPlaceHolderID="FullRegion" runat="server">
<style>
    .epi-cmsButton input {
        padding:5px 15px;
        margin:5px;
    }

</style>

    
    <asp:HiddenField ID="tbSelectedTabId" runat="server" ></asp:HiddenField>
    
    <script>
        var QBanAdmin = {
            showTab: function (name) {
                $(".epi-formArea").hide();
                $(".qbanktab").removeClass('epi-tabView-navigation-item');
                $(".qbanktab").removeClass('epi-tabView-navigation-item-selected');
                $("#areafor" + name).show();
                $(".qbanktab").not("#" + name).addClass('epi-tabView-navigation-item');
                $("#" + name).addClass("epi-tabView-navigation-item-selected");

                $("#FullRegion_tbSelectedTabId").val(name);
            }
        };

        $(document).ready(function () {
            $(".qbanktab").click(function () {
                QBanAdmin.showTab($(this).attr('id'));
            });
            QBanAdmin.showTab($("#FullRegion_tbSelectedTabId").val());
        });

        
    </script>
    <style>
        .episize200 {
            width: 200px;
        }
        .episize300 {
            width: 300px;
        }
        .episize400 {
            width: 400px;
        }
        .episize500 {
            width: 500px;
        }
        .statmessage {
            font-weight:bold;
        }
        .alertbox {
            display:block;
            width: 100%;
            text-align: center;
            padding: 20px;
            font-size: 18px;
            background-color: #f0a0a0;
        }
        .messageblock {
            display: inline-block;
            margin-right: 0.5em;
            line-height:1.5em;
            margin-bottom:8px;
            vertical-align: top;
        }
    </style>

<div class="epi-contentContainer epi-padding">
    <div class="epi-contentArea">
        <h1 class="EP-prefix"><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/heading" /></h1>
        <p><asp:Label runat="server" id="lblDescription" Text=""></asp:Label></p>
    </div>

    <div class="epi-tabView">
	    <ul class="epi-tabView-navigation">
		    <li id="tab1" onclick="" class="qbanktab epi-tabView-navigation-item-selected">
                <a class="epi-tabView-tab" href="javascript:void(0)" target="_self"><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/tabs/overview" /></a>
		    </li>
		    <li id="tab2" onclick="" class="qbanktab epi-tabView-navigation-item">
                <a class="epi-tabView-tab" href="javascript:void(0)" target="_self"><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/tabs/config" /></a>
		    </li>
            <li id="tab3" onclick="" class="qbanktab epi-tabView-navigation-item">
                <a class="epi-tabView-tab" href="javascript:void(0)" target="_self"><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/tabs/tiny" /></a>
            </li>
            <li id="tab4" onclick="" class="qbanktab epi-tabView-navigation-item">
                <a class="epi-tabView-tab" href="javascript:void(0)" target="_self"><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/tabs/site" /></a>
            </li>
            <li id="tab5" onclick="" class="qbanktab epi-tabView-navigation-item">
                <a class="epi-tabView-tab" href="javascript:void(0)" target="_self"><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/tabs/property" /></a>
            </li>
            <li id="tab6" onclick="" class="qbanktab epi-tabView-navigation-item">
                <a class="epi-tabView-tab" href="javascript:void(0)" target="_self"><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/tabs/maintenance" /></a>
            </li>
	    </ul>
    </div>

    <div id="areafortab1" class="epi-formArea">
        <div class="epi-size25 epi-padding">
            <div>
                <asp:Label AssociatedControlId="labNumberOfItemsInQueue" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.numberofitemsinqueue %>"></asp:Label>
                <asp:Label id="labNumberOfItemsInQueue" runat="server" cssclass="episize200" ></asp:Label>            
            </div>
            <div>
                <asp:Label AssociatedControlId="labNumberOfFailedItems" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.numberoffaileditems %>"></asp:Label>
                <asp:Label id="labNumberOfFailedItems" runat="server" cssclass="episize200" ></asp:Label>            
            </div>
            <hr />
            <div>
                <asp:Label AssociatedControlId="labNumberOfImages" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.numberofimages %>"></asp:Label>
                <asp:Label id="labNumberOfImages" runat="server" cssclass="episize200" ></asp:Label>            
            </div>
            <div>
                <asp:Label AssociatedControlId="labNumberOfVideos" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.numberofvideos %>"></asp:Label>
                <asp:Label id="labNumberOfVideos" runat="server" cssclass="episize200" ></asp:Label>            
            </div>
            <div>
                <asp:Label AssociatedControlId="labNumberOfDocuments" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.numberofdocuments %>"></asp:Label>
                <asp:Label id="labNumberOfDocuments" runat="server" cssclass="episize200" ></asp:Label>            
            </div>                
            <asp:Label id="labStatInfo" runat="server" cssclass="statmessage"></asp:Label>
        </div>
    </div>

    <div id="areafortab2" class="epi-formArea">
        <div class="epi-size25 epi-padding">

            <div>
                <asp:Label AssociatedControlId="ddMediaSegment" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.mediasegment %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.mediasegmenttooltip %>"></asp:Label>

                <asp:DropDownList id="ddMediaSegment" runat="server" cssclass="epi-fixedsize35">
                </asp:DropDownList>
            </div>

            <hr />     
            <div>
                <asp:Label AssociatedControlId="cbResponsiveLightActive" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.responsivelightactive %>"
                    ToolTip="<%$ Resources: EPiServer, admin.qbank.responsivelightactivestooltip %>"></asp:Label>
                <asp:Checkbox runat="server" ID="cbResponsiveLightActive" OnCheckedChanged="cbResponsiveLightActive_Change" AutoPostBack="true" ></asp:Checkbox>
            </div>

            <asp:Panel runat="server" ID="panResponsiveView">
            <div>
                <asp:Label AssociatedControlId="tbSiteWidth1" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.responsivelight %>"
                                    ToolTip="<%$ Resources: EPiServer, admin.qbank.responsivelighttooltip %>"></asp:Label>
                0 
                <span class="imageplaceholder">[#1]</span>
                <asp:TextBox id="tbSiteWidth1" runat="server" cssclass="epi-fixedsize3 textalignright" value="" autocomplete="off"></asp:TextBox>
                <span class="imageplaceholder">[#2]</span>
                <asp:TextBox id="tbSiteWidth2" runat="server" cssclass="epi-fixedsize3 textalignright" value="" autocomplete="off"></asp:TextBox>        
                <span class="imageplaceholder">[#3]</span>
                <asp:TextBox id="tbSiteWidth3" runat="server" cssclass="epi-fixedsize3 textalignright" value="" autocomplete="off"></asp:TextBox>
                <span class="imageplaceholder">[#4]</span>
                <asp:TextBox id="tbSiteWidth4" runat="server" cssclass="epi-fixedsize3 textalignright" value="" autocomplete="off"></asp:TextBox>
                <span class="imageplaceholder">[#5]</span>
            </div>
            <div>
                <asp:Label AssociatedControlId="cbBaseOnPropertySizes" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.baseonpropertysizes %>"
                    ToolTip="<%$ Resources: EPiServer, admin.qbank.baseonpropertysizestooltip %>"></asp:Label>
                <asp:Checkbox runat="server" ID="cbBaseOnPropertySizes" ></asp:Checkbox>
            </div>

            <hr />
            </asp:Panel>
            <div>
                <asp:Label AssociatedControlId="tbQBankUserName" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.username %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.usernametooltip %>"></asp:Label>
                <asp:TextBox id="tbQBankUserName" runat="server" cssclass="episize200" value="" autocomplete="off"></asp:TextBox>            
            </div>
            <div>
                <asp:HiddenField id="tbEvaluationClick" runat="server" ></asp:HiddenField>
                <asp:Label AssociatedControlId="tbQBankPassword" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.password %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.passwordtooltip %>"></asp:Label>
                <asp:TextBox id="tbQBankPassword" runat="server" TextMode="Password" cssclass="episize200" value="" autocomplete="off"></asp:TextBox>            
            </div>


            <div>
                <asp:Label AssociatedControlId="tbQBankU" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.serviceusername %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.serviceusernametooltip %>"></asp:Label>
                <asp:TextBox id="tbQBankU" runat="server" cssclass="episize200" value="" autocomplete="off"></asp:TextBox>            
            </div>
            <div>
                <asp:Label AssociatedControlId="tbQBankP" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.servicepassword %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.servicepasswordtooltip %>"></asp:Label>
                <asp:TextBox id="tbQBankP" runat="server" TextMode="Password" cssclass="episize200" value="" autocomplete="off"></asp:TextBox>            
            </div>

            <div>
                <asp:Label AssociatedControlId="tbQBankClientId" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.clientid %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.clientidtooltip %>"></asp:Label>
                <asp:TextBox id="tbQBankClientId" runat="server" cssclass="episize200" value="" autocomplete="off"></asp:TextBox>            
            </div>

            <div>
                <asp:Label AssociatedControlId="tbServiceUrl" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.serviceurl %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.serviceurltooltip %>"></asp:Label>
                <asp:TextBox id="tbServiceUrl" runat="server" cssclass="episize400" value="" ></asp:TextBox>            
            </div>

            <div>
                <asp:Label AssociatedControlId="tbDeployUrl" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.deployurl %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.deployurltooltip %>"></asp:Label>
                <asp:TextBox id="tbDeployUrl" runat="server" cssclass="episize400" value="" ></asp:TextBox>            
            </div>

            <div>
                <asp:Label AssociatedControlId="tbUiUrl" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.uiurl %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.uiurltooltip %>"></asp:Label>
                <asp:TextBox id="tbUiUrl" runat="server" cssclass="episize400" value=""></asp:TextBox>            
            </div>
            <hr />
            <div>
                <asp:Label AssociatedControlId="tbVideoStyle" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.videostyle %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.videostyletooltip %>"></asp:Label>
                <asp:TextBox id="tbVideoStyle" runat="server" cssclass="episize400" value=""></asp:TextBox>            
            </div>

         </div>
    </div>

    <div id="areafortab3" class="epi-formArea">
        <div class="epi-size25 epi-padding">
            <div>
                <asp:Label AssociatedControlId="tbTinyMediaFormats" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.tinymediaformats %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.tinymediaformatstooltip %>"></asp:Label>
                <asp:TextBox id="tbTinyMediaFormats" runat="server" cssclass="episize300" TextMode="MultiLine" Rows="4" value=""></asp:TextBox>            
            </div>

            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbTinyTemplateImage" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.tinytemplateimage %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.tinytemplateimagetooltip %>"></asp:Label>
                <asp:TextBox id="tbTinyTemplateImage" cssclass="episize300" runat="server" value="" TextMode="MultiLine" Rows="6"></asp:TextBox>            
            </div>
            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbTinyTemplateVideo" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.tinytemplatevideo %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.tinytemplatevideotooltip %>"></asp:Label>
                <asp:TextBox id="tbTinyTemplateVideo" cssclass="episize300" runat="server" value="" TextMode="MultiLine" Rows="6"></asp:TextBox>            
            </div>

            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbTinyTemplateDocument" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.tinytemplatedocument %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.tinytemplatedocumenttooltip %>"></asp:Label>
                <asp:TextBox id="tbTinyTemplateDocument" cssclass="episize300" runat="server" value="" TextMode="MultiLine" Rows="6"></asp:TextBox>            
            </div>

            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbViewStyles" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.imagestyles %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.imagestylestooltip %>"></asp:Label>
                <asp:TextBox id="tbViewStyles" cssclass="episize300" runat="server" value=""></asp:TextBox>            
            </div>


            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbTemplateRegExp" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.templateregexp %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.templateregexptooltip %>"></asp:Label>
                <asp:TextBox id="tbTemplateRegExp" cssclass="episize300" runat="server" value=""></asp:TextBox>            
            </div>
            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbAdditionalTemplates" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.templateadditional %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.templateadditionaltooltip %>"></asp:Label>
                <asp:TextBox id="tbAdditionalTemplates" cssclass="episize300" runat="server" value="" ></asp:TextBox>            
            </div>
            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbPropertyName1" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.propertyname1 %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.propertyname1tooltip %>"></asp:Label>
                <asp:TextBox id="tbPropertyName1" runat="server" value=""></asp:TextBox>            
                <asp:TextBox id="tbPropertyLabel1" runat="server" value=""></asp:TextBox>            
            </div>
            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbPropertyName2" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.propertyname2 %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.propertyname2tooltip %>"></asp:Label>
                <asp:TextBox id="tbPropertyName2" runat="server" value=""></asp:TextBox>            
                <asp:TextBox id="tbPropertyLabel2" runat="server" value=""></asp:TextBox>            
            </div>
            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="tbPropertyName3" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.propertyname3 %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.propertyname3tooltip %>"></asp:Label>
                <asp:TextBox id="tbPropertyName3" runat="server" value=""></asp:TextBox>            
                <asp:TextBox id="tbPropertyLabel3" runat="server" value=""></asp:TextBox>            
            </div>
            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="cbRemoveCropping" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.removecropping %>"
                                        ToolTip="<%$ Resources: EPiServer, admin.qbank.removecroppingtooltip %>"></asp:Label>
                <asp:CheckBox id="cbRemoveCropping" runat="server" cssclass="episize300" value=""></asp:CheckBox>           
            </div>
        </div>
    </div>

    <div id="areafortab4" class="epi-formArea">
        <div class="epi-size25 epi-padding">
            <asp:Repeater id="repSiteSettings" runat="server" EnableViewState="true">
                <HeaderTemplate>
                    <table class="sitestable">
                        <tr>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/sitedata" /></th>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/assetsfolderid" /></th>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/defaultvideotemplateid" /></th>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/defaultviewpath" /></th>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/deploymentsiteid" /></th>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/rootfolderinqbank" /></th>
                        </tr>
                </HeaderTemplate>
                <ItemTemplate>
                        <tr class="formatbaserow">
                            <td>
                                <asp:HiddenField ID="tbSiteId" runat="server" Value='<%# DataBinder.Eval(Container.DataItem, "SiteId")%>'></asp:HiddenField>
                                <%# DataBinder.Eval(Container.DataItem, "Name")%>

                            </td>
                            <td>
                                <asp:DropDownList id="ddAssetsFolders" runat="server" cssclass="epi-fixedsize25">
                                </asp:DropDownList>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="tbDefaultVideoTemplateId" Text='<%# DataBinder.Eval(Container.DataItem, "DefaultVideoTemplateId")%>' CssClass="epi-fixedsize4">
                                </asp:TextBox>

                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="tbDefaultViewPath" Text='<%# DataBinder.Eval(Container.DataItem, "DefaultViewPath")%>' CssClass="epi-fixedsize10">
                                </asp:TextBox>

                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="tbDeploymentSiteId" Text='<%# DataBinder.Eval(Container.DataItem, "QBankDeploymentSiteId")%>' CssClass="epi-fixedsize4">
                                </asp:TextBox>

                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="tbQBankRootFolderId" Text='<%# DataBinder.Eval(Container.DataItem, "QBankRootFolderId")%>' CssClass="epi-fixedsize4">
                                </asp:TextBox>

                            </td>
                        </tr>
                        
                </ItemTemplate>
                <FooterTemplate>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </div>

    </div>
    
    <div id="areafortab5" class="epi-formArea">
        <div class="epi-size25 epi-padding">
            <asp:Repeater id="repProperties" runat="server" EnableViewState="true">
                <HeaderTemplate>
                    <table class="propertytable">
                        <tr>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/customsettings" /></th>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/customsettingscontenttype" /></th>
                            <th><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/customsettingspropertyname" /></th>
                        </tr>
                </HeaderTemplate>
                <ItemTemplate>
                    <%# ShowSeparator((QBankModule.Models.QBankSettings.CustomPropertySetting)Container.DataItem) %>
                        <tr class="formatbaserow">
                            <td>
                                <asp:CheckBox runat="server" ID="cbCustom" Checked='<%# DataBinder.Eval(Container.DataItem, "Custom")%>' AutoPostBack="True" OnCheckedChanged="cbCustom_Clicked"  >
                                </asp:CheckBox>
                            </td>
                            <td>
                                <asp:HiddenField ID="tbContentTypeName" runat="server" Value='<%# DataBinder.Eval(Container.DataItem, "ContentTypeName")%>'></asp:HiddenField>
                                                                <%# DataBinder.Eval(Container.DataItem, "ContentTypeName")%>
                            </td>
                            <td>
                                <asp:HiddenField ID="tbPropertyName" runat="server" Value='<%# DataBinder.Eval(Container.DataItem, "PropertyName")%>' ></asp:HiddenField>
                                                                <%# DataBinder.Eval(Container.DataItem, "PropertyName")%>
                            </td>
                        </tr>
                        <tr <%# ((bool)DataBinder.Eval(Container.DataItem, "Custom")) ? "" : "style='display:none'" %> class="formatdatarow">
                            <td>&nbsp;</td>                            
                            <td colspan="2" class="settingscell">
                                <span><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/baseformat" /></span>
                                <span>
                                    <asp:TextBox runat="server" ID="tbBaseFormat" Text='<%# DataBinder.Eval(Container.DataItem, "BaseFormat")%>' CssClass="epi-fixedsize10">
                                    </asp:TextBox>
                                </span>
                                <br />
                                <span><EPiServer:Translate runat="server" LocalizedText="/admin/qbank/alternativeformats" /></span>
                                <span>
                                    <asp:TextBox runat="server" ID="tbFormat1" Text='<%# DataBinder.Eval(Container.DataItem, "AlternativeFormat1")%>'  CssClass="epi-fixedsize6">
                                    </asp:TextBox>
                                </span>
                                <span>
                                    <asp:TextBox runat="server" ID="tbFormat2" Text='<%# DataBinder.Eval(Container.DataItem, "AlternativeFormat2")%>' CssClass="epi-fixedsize6" >
                                    </asp:TextBox>
                                </span>
                                <span>
                                    <asp:TextBox runat="server" ID="tbFormat3" Text='<%# DataBinder.Eval(Container.DataItem, "AlternativeFormat3")%>'  CssClass="epi-fixedsize6">
                                    </asp:TextBox>
                                </span>
                                <span>
                                    <asp:TextBox runat="server" ID="tbFormat4" Text='<%# DataBinder.Eval(Container.DataItem, "AlternativeFormat4")%>'  CssClass="epi-fixedsize6">
                                    </asp:TextBox>
                                </span>
                                <span>
                                    <asp:TextBox runat="server" ID="tbFormat5" Text='<%# DataBinder.Eval(Container.DataItem, "AlternativeFormat5")%>'  CssClass="epi-fixedsize6">
                                    </asp:TextBox>
                                </span>
                            </td>
                        </tr>
                </ItemTemplate>
                <FooterTemplate>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </div>
    </div>

    <div id="areafortab6" class="epi-formArea">
        <div class="epi-size25 epi-padding">
            <div>
                <asp:Label AssociatedControlId="btnPrepareForUninstall" runat="server" Text="<%$ Resources: EPiServer, admin.qbank.prepareforuninstall %>"></asp:Label>
                <asp:Label id="Label2" runat="server" cssclass="epi-cmsButton">
                    <asp:Button id="btnPrepareForUninstall" runat="server" cssclass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" OnClick="btnPrepareForUninstall_Click" Text="<%$ Resources: EPiServer, admin.qbank.preparebutton %>" />
                </asp:Label>
            </div>
            <div>
                <asp:Label AssociatedControlId="labPrepareForUninstallInfo" runat="server"></asp:Label>
                <asp:Label id="labPrepareForUninstallInfo" runat="server" cssclass="episize300 messageblock" Text="<%$ Resources: EPiServer, admin.qbank.prepareforuninstallinfo %>">
                </asp:Label>            
            </div>
            <div>
                <asp:Label AssociatedControlId="labDoDeleteInfo" runat="server"></asp:Label>
                <asp:Label id="labDoDeleteInfo" runat="server" cssclass="episize300 messageblock" Text="<%$ Resources: EPiServer, admin.qbank.prepareforuninstallinfododelete %>">
                </asp:Label> 
            </div>
            <div style="margin: 0.5em 0em 0.5em 0em;">
                <asp:Label AssociatedControlId="cbDoDelete" runat="server" ></asp:Label>
                <asp:CheckBox id="cbDoDelete" runat="server" cssclass="episize300" value=""></asp:CheckBox>           
                <asp:TextBox id="tbConfirmDelete" runat="server" cssclass="epi-fixedsize5 textalignright" value="" autocomplete="off"></asp:TextBox>
            </div>
            <div>
                <asp:Label AssociatedControlId="labPrepareForUninstallInfo" runat="server"></asp:Label>
                <asp:Label id="labPrepareForUninstallWarning" runat="server" cssclass="statmessage episize300 messageblock" Text="<%$ Resources: EPiServer, admin.qbank.prepareforuninstallinfoimportant %>">
                </asp:Label>            
            </div>
            <asp:Label id="labUninstallInfo" runat="server" cssclass="statmessage"></asp:Label>
        </div>
    </div>

<%--    <asp:Label id="lblTestArea" runat="server"></asp:Label>--%>
    <asp:Label id="lblAlertBox" runat="server" cssclass="alertbox" Visible="false"></asp:Label>
    <div class="epi-buttonContainer">
<%--        <asp:Button id="btnTest" runat="server" OnClick="btnTest_Click" Text="Test API" />--%>
        <asp:Label id="lblAddQBankToolToTiny" runat="server" cssclass="epi-cmsButton">
            <asp:Button id="btnAddQBankToolToTiny" runat="server" cssclass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-File" OnClick="btnAddQBankToolToTiny_Click" Text="<%$ Resources: EPiServer, admin.qbank.addqbanktool %>" />
        </asp:Label>
        <asp:Label id="lblFillWithDemoData" runat="server" cssclass="epi-cmsButton">
            <asp:Button id="btnFillWithDemoData" runat="server" cssclass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-File" OnClick="btnFillWithDemoData_Click" Text="<%$ Resources: EPiServer, admin.qbank.fillwithdemodata %>" />
        </asp:Label>
        <asp:Label id="lblSaveSettings" runat="server" cssclass="epi-cmsButton">
            <asp:Button id="btnSaveSettings" runat="server" cssclass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" OnClick="btnSaveSettings_Click" Text="<%$ Resources: EPiServer, button.save %>" />
        </asp:Label>
        <span class="epi-cmsButton">
            <asp:Button id="btnCancelSettings" runat="server" cssclass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Cancel" OnClick="btnCancel_Click" Text="<%$ Resources: EPiServer, button.cancel %>" />
        </span>
    </div>


</div>

</asp:Content>
